Get woku review data
curl --request GET \
--url https://clientapi.woku.app/wokus/review/{wokuId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/wokus/review/{wokuId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/wokus/review/{wokuId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company": {
"_id": "<string>",
"name": "Acme Corp",
"logo": "<string>"
},
"woku": {
"_id": "507f1f77bcf86cd799439011",
"description": "Customer Service Experience - Store #123",
"createdBy": "507f1f77bcf86cd799439012",
"companyId": "507f1f77bcf86cd799439013",
"folderId": "507f1f77bcf86cd799439014",
"file": {
"filename": "product-image.webp",
"type": "image",
"url": "https://cdn.woku.app/files/product-image.webp"
},
"qualifications": [
{
"_id": "507f1f77bcf86cd799439015",
"qualification": 5,
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"textnotes": [
{
"_id": "507f1f77bcf86cd799439016",
"qualification": {
"qualification": 5
},
"description": "Excellent service!",
"anonymous": false,
"feedbackType": "positive",
"clientId": "<string>",
"validated": true,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"voicemails": [
{
"_id": "507f1f77bcf86cd799439017",
"qualification": {
"qualification": 4
},
"file": {
"filename": "voicemail.mp4",
"url": "<string>"
},
"transcription": "I had a great experience with your service...",
"anonymous": false,
"feedbackType": "positive",
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"feedbacksSummary": "Customers generally praise the helpful staff and quick service...",
"closed": false,
"createdAt": "2026-01-20T10:30:00.000Z",
"updatedAt": "2026-01-20T15:45:00.000Z"
}
}{
"statusCode": 400,
"message": [
"description must be a string",
"fileUrl must be a valid URL"
],
"error": "Bad Request"
}{
"statusCode": 404,
"message": "Resource not found",
"error": "Not Found"
}Wokus
Get woku review data
Retrieves the review data for a specific woku, including company information, woku details, file URL, and all existing reviews (qualifications, textnotes, and voicemails).
GET
/
wokus
/
review
/
{wokuId}
Get woku review data
Authorizations
Company API key. Obtain this from your Woku dashboard under Settings > API Keys.
Path Parameters
MongoDB ObjectId of the woku
Example:
"507f1f77bcf86cd799439011"
⌘I